Subject: Re: linux-next: manual merge of the driver-core.current tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Sun, 23 Dec 2012 15:30:10 -0800

On Mon, Dec 24, 2012 at 09:56:14AM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 24 Dec 2012 09:52:00 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the driver-core.current tree got conflicts
> > in 21 files in drivers/i2c between commit 0b255e927d47 ("i2c: remove
> > __dev* attributes from subsystem") from Linus' tree and commit
> > eeb30d064414 ("Drivers: i2c: remove __dev* attributes") from the
> > driver-core.current tree.
> > 
> > I fixed it up (taking a mixture of both commits) and can carry the fix as
> > necessary (no action is required).
> 
> BTW, Greg, the patch in your tree to drivers/i2c/busses/i2c-au1550.c is
> incorrect and would not build.

Ugh, that's a horrible merge error on my part, thanks for pointing it
out.  My 'make allmodconfig' doesn't happen to build that module.

And sorry about the merge issues, I wasn't aware that Wolfram was going
to be sending these to Linus after 3.8-rc1 was out, sorry about that.
The merge issues are due to me trying to get the coding style correct,
which Bill's sed script didn't always do.

thanks,

greg k-h